using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace Fast.Shared.Database.Models;

[Table("payment_date_type")]
public partial class PaymentDateType
{
    [Key]
    [Column("id")]
    public int Id { get; set; }

    [Column("name", TypeName = "citext")]
    public string? Name { get; set; }

    [InverseProperty("PaymentDateType")]
    public virtual ICollection<ContractNaesb> ContractNaesbs { get; set; } = new List<ContractNaesb>();
}
